#include <fstream>
#include <string>
#include <iostream>
//#include "nrmari.h"
using namespace std;
ifstream f1("sosete.in");
ofstream f2("sosete.out");
typedef struct numar_mare
{
    short int cif[2000];
    int len;
};
//functie care face suma intre a si b. vectorul c reprezinta suma lor, dar inversata
numar_mare nm_suma(numar_mare a, numar_mare b) 
{
    int max, s=0, aux, i;
    numar_mare c;
    if (a.len>=b.len)
    {
        max=a.len;
        for (i=b.len+1; i<=max; i++)
            b.cif[i]=0;
    } 
    else
    {
        max=b.len;
        for (i=a.len+1; i<=max; i++)
            a.cif[i]=0;
    }
    for (i=1; i<=max; i++)
    {
        aux=a.cif[i]+b.cif[i]+s;
        c.cif[i]=aux%10;
        s=aux/10;
    }
    if (s>0)
    {c.cif[i]=1; c.len=i;}
    else
    c.len=i-1;
    return c;
}
   

//functie pentru inmultirea unui numar_mare cu o cifra. Ajuta la inmultirea a doua numere mari
numar_mare nm_prodcif(numar_mare a, int factr)
{
    int s=0, aux, i;
    numar_mare c;
    for (i=1; i<=a.len; i++) {aux=a.cif[i]*factr+s; c.cif[i]=aux%10; s=aux/10;}
    c.len=i-1;
    if (s!=0) {c.cif[i]=s; c.len=i;}
    return c;
}

//swap
void nm_swap(numar_mare a, numar_mare b)
{
    numar_mare aux;
    aux=a;
    a=b;
    b=aux;
}

//pentru convertirea unui long long in numar_mare
numar_mare nm_convl(unsigned long long aux)
{
    numar_mare a;
    a.len=0;
    while (aux!=0)
    {
        a.len++;
        a.cif[a.len]=aux%10;
        aux/=10;
    }
    return a;
}

//pentru convertirea unui string in numar mare
numar_mare nm_convs(string aux)
{
    numar_mare rez;
    int i, len;
    len=aux.length();
    for (i=len-1; i>=0; i--)
    {
        rez.cif[len-i]=(int)aux[i]-48;
    }
    rez.len=len;
    return rez;
}

//pentru inversarea unui numar_mare
numar_mare nm_inv(numar_mare a)
{
    int i, aux;
    for (i=1; i<=a.len/2; i++)
    {
        aux=a.cif[i];
        a.cif[i]=a.cif[a.len-i+1];
        a.cif[a.len-i+1]=aux;
    }
    return a;
}

//functie care adauga aux zerouri la inceputul unui nr mare
numar_mare nm_cat(numar_mare a, int aux)
{
    int i;
    numar_mare rez;
    for (i=1; i<=aux; i++)
        rez.cif[i]=0;
    for (i=aux+1; i<=a.len+aux; i++)
        rez.cif[i]=a.cif[i-aux];
    rez.len=a.len+aux;
    return rez;
}
        
//functie pentru inmultirea nr. mari
numar_mare nm_prod(numar_mare a, numar_mare b)
{
    numar_mare s1, s2;
    int i;
    for (i=1; i<=a.len+b.len+1; i++)
        s2.cif[i]=0;
    s2.len=0;
    if (a.len<b.len) nm_swap(a,b);
    for (i=1; i<=b.len; i++)
    {
        s1=nm_prodcif(a, b.cif[i]);
        s2=nm_suma(s2, nm_cat(s1,i-1));
    }
    return s2;
}     
int abs(int k)
{
    if (k>=0) return k;
    else return -k;
}

main()
{
    numar_mare c,n,m,rez; 
    string cc,nn;
    int i;
    f1>>nn>>cc;
    n=nm_convs(nn);
    c=nm_convs(cc);
//    cout<<n.cif[1]<<n.cif[2]<<n.cif[3]<<endl;
    m=nm_prodcif(n,2);
//    cout<<m.cif[1]<<m.cif[2]<<m.cif[3]<<m.cif[4]<<m.len<<endl;
    m.cif[1]=m.cif[1]-5;

    if (m.cif[1]<0)
    {
        for (i=2; i<=m.len; i++)
        {
            if (m.cif[i]!=0)
            {
                m.cif[i]-=1;
                break;
            }
            else m.cif[i]=9;

        }
        if (m.cif[m.len]==0) m.len-=1;
        m.cif[1]=10-abs(m.cif[1]);
    }
            cout<<m.cif[1]<<m.cif[2]<<m.cif[3]<<m.cif[4]<<m.len<<endl;
//    cout<<m.cif[1]<<m.cif[2];
    rez=nm_prod(c,m);
    rez=nm_suma(rez, nm_convl(1));
    for (i=rez.len; i>=1; i--)
        f2<<rez.cif[i];
//    f2<<endl;
//    cin>>i;
    f1.close();
    f2.close();
    return 0;
}
    
